---
title: "EndeavourOS: a beautiful Arch-Based Distro"
date: 2020-12-03T09:00:36+01:00
tags: ["Linux", "Review"]
draft: true
---

![EndeavourOS Logo](/img/endeavour-os-logo.png)

> A terminal-centric distro with a dynamic and friendly community in its core

The slogan on [their homepage](https://endeavouros.com/) perfectly describes
the intent of EndeavourOS: create an Arch-based distro that doesn't stray far
from the original feel of plain old Arch, but with a friendlier community.

For the uninitiated, it's generally known that the Arch community can be a bit
harsh at times; [RTFM](https://en.wikipedia.org/wiki/RTFM) is a regular 
occurrence. And even though this encourages people to try things out themselves
and learn more about how Linux works, it can be a bit scary for newcomers.

Now, I've been using this distro for about two weeks on my old MacBook, and I
have to say that I'm impressed.

## Installation
EndeavourOS uses the Calamares installer, so the install is about as
straightforward as it gets. I've come to use EndeavourOS as my "easy install"
for Arch, because it just feels like regular Arch. You can download their ISO
[here](https://endeavouros.com/latest-release/). They also have an
[ARM version](https://arm.endeavouros.com/), which I might try later on my
Raspberry Pi.

For my install, I choose the i3wm version, as I prefer tiling window managers.
I also discovered that a desktop environment (Plasma in my case) is just too
much for my old MacBook to handle, so i3wm was not a difficult choice. The Only
thing I changed about the initial config was tweak the key bindings a bit to
use the Vim bindings instead of the i3 ones.

## First Impressions
When we boot into our fresh installation, we're greeted with a simple, yet
elegant LightDM login screen. Out of the box, the i3 config is quite welcoming
and polished, albeit a tad crowded for my tastes, but this can be easily solved
by editing the config files.

By default, a welcome screen pops up whenever we boot the computer, and a
terminal is launched. I personally find this decision quite odd, but to each
their own. And of course we can just turn this off by changing one line in the
config.

This brings us to how closely this distro resembles pure Arch. No
fancy GUIs to configure everything, just a terminal and a text editor is needed
to configure it for your own needs.

EndeavourOS is very lightweight, barely consuming 300MB of ram on startup. This
result may vary if you've chosen another desktop environment/window manager.
This is one of the reasons I chose EndeavourOS: I needed sometimes light,
something that my 7-year-old MacBook could run without issues. I previously ran
PopOS! on it, and while this is a great distro, it was too heavy for this old
thing.
